> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/46.-mutasyon-cok-katmanli-zonesmap-i-asenkron-olarak-olustur.md).

# 46. Mutasyon: Çok katmanlı "ZonesMap"i asenkron olarak oluştur

"Field" için birden çok katmana dayalı olarak eşzamansız şekilde "ZonesMap" oluşturun.

{% hint style="info" %}
Eşzamansız yaklaşım, işlenecek bir görev (Generate "generateVectorAnalysisMap") oluşturur ve işleme tamamlandığında Abonelik alınır.
{% endhint %}

Öznitelik `veriKatmanları` sonuç "ZonesMap" içinde kullanılmak üzere her veri katmanı için gerekli bilgileri içerir. Öznitelik `faktör` şunu temsil eder **ağırlık** veri katmanının.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateMultiLayerZonesMapAsync {
  generateMultiLayersVectorAnalysisMapAsync(girdi: {
    fieldUuid: "<placeholder_of_field_uuid>"
    bölgeSayısı:7
    isim: "MultiYear f1.0 + LIDAR Slope f-0.5 + OM f0.5 + VolDr f0.2"
    veriKatmanları: [{
      faktör: 1.0
      satelliteImageUuids: [
        "<placeholder_of_satelliteimage_uuid_1>",
	"<placeholder_of_satelliteimage_uuid_2>",
        "<uydugörüntüsü_uuid_3_yer_tutucusu>",
        "<uydugörüntüsü_uuid_4_yer_tutucusu>",
        "<uydugörüntüsü_uuid_5_yer_tutucusu>",
        "<uydugörüntüsü_uuid_6_yer_tutucusu>",
        "<uydugörüntüsü_uuid_7_yer_tutucusu>",
        "<uydugörüntüsü_uuid_8_yer_tutucusu>",
        "<uydugörüntüsü_uuid_9_yer_tutucusu>",
        "<uydugörüntüsü_uuid_10_yer_tutucusu>"
      ]
    	index: EVI2
    }, {
      faktör: -0.5
      topographyMapUuid: "<placeholder_of_topographymap_uuid>"
    	topoğrafyaÖzniteliği: eğim
    }, {
      faktör: 0.5
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
      toprakÖzniteliği: "Soil_OM___"
    }, {
      faktör: 0.2
      yieldDatasetUuid: "<placeholder_of_yielddataset_uuid>"
      verimÖzniteliği: vol_d
    }]
  }) {    
    uuid 
    fieldUuid
    statusCode  
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/46.-mutasyon-cok-katmanli-zonesmap-i-asenkron-olarak-olustur.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
